跳转到内容

PuLID Flux

集成

模型 id flux-pulid
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-pulid?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.034 34 API 积分 在此页面运行

获取 API 密钥
Black Forest Labs 图像编辑 参考输入 #personalization#style-transfer

使用参考人脸图像和提示词进行个性化生成,并可调节身份权重

Black Forest Labs · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导图像生成的提示词。

•必填
拖放文件,或

指向重绘图像的 URL。

image_size 默认 landscape_4_3

生成图像的尺寸。

高级 negative_prompt · max_sequence_length · num_inference_steps · guidance_scale · start_step · true_cfg · id_weight · seed · enable_safety_checker
默认

指导图像生成的提示词。

max_sequence_length 默认 128

模型序列长度的上限。

默认 20

要执行的推理步数。

默认 4

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

默认 0

CFG 开始的步数。

默认 1

应用于 CFG 损失的权重。

默认 1

应用于 ID 损失的权重。

用于生成可复现图像的种子:模型版本不变时,相同的提示词和种子会生成相同图像。

POST /run/flux-pulid?wait=20 报价 → $0.034
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-pulid?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 PuLID Flux

根据文本提示词生成新图像,同时遵循从 `reference_image_url` 获取的人物相貌。`id_weight`(0 到 1)设置身份特征的应用强度。其他控制项包括 `num_inference_steps`(1 到 50)、`guidance_scale`(0 到 20)、`negative_prompt`、六种预设 `image_size` 值,以及 128、256 或 512 的 `max_sequence_length`。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
指导图像生成的提示词。
reference_image_url必填
类型url · image
指向重绘图像的 URL。
image_size可选
类型object
默认值landscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成图像的尺寸。
num_inference_steps可选
类型integer
默认值20
1 – 50
要执行的推理步数。
seed可选
类型integer | null
用于生成可复现图像的种子:模型版本不变时,相同的提示词和种子会生成相同图像。
guidance_scale可选
类型number
默认值4
0 – 20
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
negative_prompt可选
类型string
默认值
指导图像生成的提示词。
start_step可选
类型integer
默认值0
0 – 50
CFG 开始的步数。
true_cfg可选
类型number
默认值1
1 – 10
应用于 CFG 损失的权重。
id_weight可选
类型number
默认值1
0 – 1
应用于 ID 损失的权重。
enable_safety_checker可选
类型boolean
默认值true
安全检查;对于被标记为不安全的图像,返回黑色图像替代。true 启用检查;false 仅对获授权账户禁用检查,未获授权的请求无论如何都会检查。
max_sequence_length可选
类型enum
默认值128
128256512
模型序列长度的上限。
必填

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-pulid",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 34,
    "usd": "0.034",
    "charged": 34,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, width, height, content_type}生成图像的文件信息。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/flux-pulid.md. 所有模型和指南: https://doitong.com/developers/llms.txt